<?php

namespace Drupal\paynl_payment\Plugin\Payment\Method;

use Drupal\payment\Plugin\Payment\Method\PaymentMethodConfigurationOperationsProvider;

/**
 * Provides paynl_payment operations based on config entities.
 */
class PaynlPaymentOperationsProvider extends PaymentMethodConfigurationOperationsProvider {

  /**
   * {@inheritdoc}
   */
  protected function getPaymentMethodConfiguration($plugin_id) {
    // Creation of additional payment method configuration entities is disabled
    // so we assume there is only one and that we can load it safely by a
    // hardcoded ID.
    return $this->paymentMethodConfigurationStorage->load('pay_nl');
  }

}
